"""create fruits table
Revision ID: a7c4e9f1d3b5
Revises: 9b5e3d82
Create Date: 2024-01-30 10:00:00.000000
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
import uuid

# revision identifiers, used by Alembic.
revision = 'a7c4e9f1d3b5'
down_revision = '9b5e3d82'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'fruits',
        sa.Column('id', postgresql.UUID(as_uuid=True), primary_key=True, default=uuid.uuid4),
        sa.Column('name', sa.String(255), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.Column('color', sa.String(50), nullable=True),
        sa.Column('is_active', sa.Boolean(), server_default='true', nullable=False),
        sa.Column('is_ripe', sa.Boolean(), server_default='false', nullable=False),
        sa.Column('created_at', sa.DateTime(timezone=True), server_default=sa.func.now(), nullable=False),
        sa.Column('updated_at', sa.DateTime(timezone=True), server_default=sa.func.now(), onupdate=sa.func.now(), nullable=False),
    )
    op.create_index('ix_fruits_name', 'fruits', ['name'], unique=True)

def downgrade():
    op.drop_index('ix_fruits_name', 'fruits')
    op.drop_table('fruits')